Fault Testing API

Service: faulttesting.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://faulttesting.googleapis.com

REST Resource: v1alpha.projects.locations

Methods
get GET /v1alpha/{name=projects/*/locations/*}
Gets information about a location.
list GET /v1alpha/{name=projects/*}/locations
Lists information about the supported locations for this service.

REST Resource: v1alpha.projects.locations.exclusionWindows

Methods
create POST /v1alpha/{parent=projects/*/locations/*}/exclusionWindows
Creates a new exclusion window.
delete DELETE /v1alpha/{name=projects/*/locations/*/exclusionWindows/*}
Deletes an exclusion window.
get GET /v1alpha/{name=projects/*/locations/*/exclusionWindows/*}
Get the details of an exclusion window.
list GET /v1alpha/{parent=projects/*/locations/*}/exclusionWindows
Lists all exclusion windows in a project and region, or all exclusion windows in a project in all regions if the location is given as "-".
patch PATCH /v1alpha/{exclusionWindow.name=projects/*/locations/*/exclusionWindows/*}
Updates an exclusion window.
start POST /v1alpha/{name=projects/*/locations/*/exclusionWindows/*}:start
Starts or restarts an existing exclusion window.
stop POST /v1alpha/{name=projects/*/locations/*/exclusionWindows/*}:stop
Stops an active exclusion window.

REST Resource: v1alpha.projects.locations.experimentTemplates

Methods
create POST /v1alpha/{parent=projects/*/locations/*}/experimentTemplates
Creates a new experiment template.
delete DELETE /v1alpha/{name=projects/*/locations/*/experimentTemplates/*}
Deletes an experiment template.
get GET /v1alpha/{name=projects/*/locations/*/experimentTemplates/*}
Retrieves the details of a specific experiment template.
list GET /v1alpha/{parent=projects/*/locations/*}/experimentTemplates
Lists all experiment templates in a specified project and location.
patch PATCH /v1alpha/{experimentTemplate.name=projects/*/locations/*/experimentTemplates/*}
Updates an existing experiment template.

REST Resource: v1alpha.projects.locations.experiments

Methods
create POST /v1alpha/{parent=projects/*/locations/*}/experiments
Creates an Experiment and prepares it to run by identifying all cloud resources that will be affected.
delete DELETE /v1alpha/{name=projects/*/locations/*/experiments/*}
Deletes an Experiment record.
get GET /v1alpha/{name=projects/*/locations/*/experiments/*}
Returns a single Experiment resource, including its current state and configuration.
list GET /v1alpha/{parent=projects/*/locations/*}/experiments
Lists all experiments in a specified project and location.
start POST /v1alpha/{name=projects/*/locations/*/experiments/*}:start
Starts an existing Experiment.
stop POST /v1alpha/{name=projects/*/locations/*/experiments/*}:stop
Stops a running Experiment.
stopAll POST /v1alpha/{parent=projects/*/locations/*}/experiments:stopAll
Stops all running experiments in a given location for a given project.

REST Resource: v1alpha.projects.locations.experiments.affectedResources

Methods
get GET /v1alpha/{name=projects/*/locations/*/experiments/*/affectedResources/*}
Gets the details of a specific cloud resource that is being or was affected by a particular Experiment.
list GET /v1alpha/{parent=projects/*/locations/*/experiments/*}/affectedResources
Lists all cloud resources that are being or were affected by a specific Experiment.

REST Resource: v1alpha.projects.locations.operations

Methods
cancel POST /v1alpha/{name=projects/*/locations/*/operations/*}:cancel
Starts asynchronous cancellation on a long-running operation.
delete DELETE /v1alpha/{name=projects/*/locations/*/operations/*}
Deletes a long-running operation.
get GET /v1alpha/{name=projects/*/locations/*/operations/*}
Gets the latest state of a long-running operation.
list GET /v1alpha/{name=projects/*/locations/*}/operations
Lists operations that match the specified filter in the request.

REST Resource: v1alpha.projects.locations.validations

Methods
create POST /v1alpha/{parent=projects/*/locations/*}/validations
Creates a new Validation dry run.
delete DELETE /v1alpha/{name=projects/*/locations/*/validations/*}
Deletes a record of a dry run.
get GET /v1alpha/{name=projects/*/locations/*/validations/*}
Retrieves the details of a specific Validation dry run.
list GET /v1alpha/{parent=projects/*/locations/*}/validations
Lists all dry runs in a specified project and location.

REST Resource: v1alpha.projects.locations.validations.validationResources

Methods
get GET /v1alpha/{name=projects/*/locations/*/validations/*/validationResources/*}
Gets the details of a specific ValidationResource.
list GET /v1alpha/{parent=projects/*/locations/*/validations/*}/validationResources
Lists all cloud resources identified as potentially affected within a specific Validation dry run.